/* 
	Abigail Thornton
	November 13, 2022 Section 101
	Lab 10B
	This functions takes the info of the getHeader function and adds the pixels to the individual r, g, and b parts of the Array.  
*/
#include <stdio.h>
#include "defs.h"

void fillImageArray(pixel_t theImage[], int width, int height){
	int i=0;
	for (i = 0; i < width*height; i++) {
		fscanf(stdin,"%d", &theImage[i].r); 
		fscanf(stdin,"%d", &theImage[i].g);
		fscanf(stdin,"%d", &theImage[i].b);
	}
/*	int k=0, i, j;
	for (i = 0; i < height; i++) {
		for (j = 0; j < width*1/3; j++) {
			array.r = 0;
			array.g = 128;
			array.b = 0;
			flag[k++] = array;
		}
		for (; j < width*2/3; j++) {
			array.r = 255;
			array.g = 255;
			array.b = 255;
			flag[k++] = array;
		}
		for (; j < width; j++) {
			array.r = 255;
			array.g = 165;
			array.b = 0;
			flag[k++] = array;

		}
	}
*/
}
